Creator Rankings - Follower Rankings
Introduction
Get creator follower ranking data, supporting the following features:
- Supports filter parameters
- Supports custom result sorting
API Endpoint
bash
POST /creator/v1/rank/topFollowersRequest Body
| Field | Type | Required | Description |
|---|---|---|---|
filter | object | No | Filter parameters |
orderby | object | No | Sorting parameters |
page | integer | No | Default: 1 |
pagesize | integer | No | Default: 10 |
filter Optional Values
| Field | Type | Required | Description |
|---|---|---|---|
region | string | No | Country/Region |
category_id | integer | No | Creator category |
date_info | object | No | Date information |
regionrange:['US','GB','MX','ES','DE','IT','FR','ID','VN','MY','TH','PH','BR','JP','SG']
orderby Optional Values
| Field | Required | Description |
|---|---|---|
follower_count | No | Follower count (desc) |
Request Example
bash
curl 'https://openapi.fastmoss.com/creator/v1/rank/topFollowers' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
# "category_id": 2,
# "date_info": {
# "type": "day",
# "value": "2026-02-01"
# },
# "date_info": {
# "type": "week",
# "value": "2026-02"
# },
"date_info": {
"type": "month",
"value": "2026-03"
}
},
"orderby": [
{
"field": "follower_count",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'Response Body
data.total
Total number of results
data.list
| Field | Type | Description |
|---|---|---|
uid | string | Creator ID |
follower_count | integer | Total creator followers |
digg_inc_count | integer | Like Growth |
video_count | integer | Total videos |
data.list.creator
| Field | Type | Description |
|---|---|---|
uid | string | Creator ID |
unique_id | string | Creator unique ID |
nickname | string | Nickname |
avatar | string | Creator avatar URL |
region | string | Country/Region |
category | object | Creator category ID |
Response Example
json
{
"code": 0,
"data": {
"list": [
{
"creator": {
"uid": "6614519312189947909",
"nickname": "MrBeast",
"unique_id": "mrbeast",
"avatar": "https://s.500fd.com/tt_author/1e2348ca19d394037718e3b1d3fc2958~tplv-tiktokx-cropcenter:1080:1080.jpeg",
"region": "US",
"category": {
"id": 28,
"name": "Public Figure"
},
"follower_count": 124745679,
"video_count": 456
},
"follower_count": 124745679,
"digg_inc_count": 4178337,
"video_count": 456,
"uid": "6614519312189947909",
"nickname": "MrBeast", //deprecated
"unique_id": "mrbeast", //deprecated
"avatar": "https://s.500fd.com/tt_author/1e2348ca19d394037718e3b1d3fc2958~tplv-tiktokx-cropcenter:1080:1080.jpeg", //deprecated
"region": "US", //deprecated
"category": {
//deprecated
"id": 28,
"name": "Public Figure"
}
}
],
"total": 500,
"date_type": "month",
"date_value": "2026-03"
},
"message": "",
"timestamp": 1776170880,
"request_id": "995c77b7-40bf-3394-6c14-d6a50514d9fd"
}